package org.jeecg.modules.quartz.job;

import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.modules.app.wxNotification.WxNotificationService;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import java.text.ParseException;

/**
 * 预约过场地通知
 * @author zx
 * @date 2025/7/15 10:28
 * @description
 */
@Slf4j
@AllArgsConstructor
@Component
public class SiteNoticeJobService {

   private final WxNotificationService wxNotificationService;


//    @Scheduled(cron = "0 0 7 * * ?")
    @Transactional
    public void execute() throws ParseException {
        log.info("开始执行上课定时任务");
        wxNotificationService.siteJob();
        log.info("结束执行上课定时任务");
    }


}